YOSYS-FILTERLIB(1)

NAME
yosys-filterlib - Yosys Open SYnthesis Suite Filterlib

SYNOPSIS
yosys-filterlib [ rules-files [liberty-file]]

DESCRIPTION
This manual page documents briefly the yosys-filterlib command.

yosys-filterlib is a program used to strip sensitive information from Liberty files.

Occasionally Liberty files contain trade secrets (such as sensitive timing information) that cannot be shared freely. This complicates processes such as reporting bugs in the tools involved. When the information in the Liberty file used by Yosys and ABC are not part of the sensitive information, this tool yosys-filterlib can be used to strip the sensitive information from the Liberty file.

SEE ALSO
yosys(1), yosys-config(1)

AUTHOR
yosys-filterlib was written by Clifford Wolf <clifford@clifford.at>.

This manual page was written by Ruben Undheim <ruben.undheim@gmail.com>, for the Debian project (and may be used by others).